<template lang="">
    <div id="app">
  <v-app id="inspire">
    <div>
      <v-row justify="center">
        <v-btn color="primary" class="ma-2" dark @click="dialog = true">
          Spermogramme
        </v-btn>
        <v-list>
          <v-list-item v-for="(item, i) in items" :key="i" @click="() => {}">
        </v-list>
        </v-menu>
        <v-dialog v-model="dialog" fullscreen hide-overlay transition="dialog-bottom-transition" scrollable>
          <v-card tile>
            <v-toolbar flat dark color="primary">
              <v-btn icon dark @click="dialog = false">
                <v-icon>mdi-close</v-icon>
              </v-btn>
              <v-toolbar-title>RESULTATS DU SPERMOGRAMME</v-toolbar-title>
              <v-spacer></v-spacer>
              <v-toolbar-items>
                <v-btn dark text @click="dialog = false">
                  Enregistrer
                </v-btn>
              </v-toolbar-items>
            </v-toolbar>
            <v-card-text>

              <v-form v-model="valid">
                  <v-container>
                    <v-row>
                      <v-col
                        cols="12"
                        md="6"
                      >
                        <v-text-field
                          v-model="lieu_recueil"
                          :rules="nameRules"
                          :counter="50"
                          label="Lieu du recueil"
                          required
                        ></v-text-field>
                      </v-col>

                      <v-col
                        cols="12"
                        md="6"
                      >
                        <v-text-field
                          v-model="delai_abstinence"
                          :rules="nameRules"
                          :counter="50"
                          label="Délai d'abstinence: (Préconisé 265 jours)"
                          required
                        ></v-text-field>
                      </v-col>
                    </v-row>

                    <v-row>
                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="ph"
                          :rules="nameRules"
                          :counter="10"
                          label="Ph: (VN:7.0-8.0)"
                          required
                        ></v-text-field>
                      </v-col>

                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="aspect"
                          :rules="nameRules"
                          :counter="10"
                          label="Aspect :"
                          required
                        ></v-text-field>
                      </v-col>

                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="couleur"
                          :rules="emailRules"
                          label="Couleur :"
                          required
                        ></v-text-field>
                      </v-col>
                    </v-row>


                    <v-row>
                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="agglutination_spontanee"
                          :rules="nameRules"
                          :counter="100"
                          label="Agglutinations spontanés:"
                          required
                        ></v-text-field>
                      </v-col>


                      <v-col
                        cols="12"
                        md="3"
                      >
                        <v-text-field
                          v-model="mobilite_apres_une_heure"
                          :rules="nameRules"
                          :counter="100"
                          label="Mobilite à près 1h (VN :>40%):"
                          required
                        ></v-text-field>
                      </v-col>
                      <v-col
                        class="d-flex"
                        cols="3"
                        md="1"
                      >
                        <v-select
                          v-model="mobilite_unite"
                          :items="items"
                          filled
                          label="Unité mobilié apres 1h"
                        ></v-select>
                      </v-col>

                      <v-col
                        cols="12"
                        md="3"
                      >
                        <v-text-field
                          v-model="mobilite_apres_quatre_heure"
                          :rules="nameRules"
                          :counter="100"
                          label="Mobilite à près 4h (VN :>40%):"
                          required
                        ></v-text-field>
                      </v-col>
                      <v-col
                        class="d-flex"
                        cols="1"
                        md="1"
                      >
                        <v-select
                          v-model="mobilite_unite"
                          :items="items"
                          filled
                          label="Unité mobilié apres 1h"
                        ></v-select>
                      </v-col>

                      <v-row>
                       <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="leucocytes"
                          :rules="nameRules"
                          :counter="100"
                          label="Leucocytes (VN<1000 000/ml):"
                          required
                        ></v-text-field>
                      </v-col>
                    <!--à ajouter dans la table -->
                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="hematies"
                          :rules="emailRules"
                          :counter="100"
                          label="Hématies (VN:Absence/ml) :"
                          required
                        ></v-text-field>
                      </v-col>
                       <v-col
                        cols="12"
                        md="2"
                      >
                        <v-text-field
                          v-model="volume_ejaculat"
                          :rules="emailRules"
                          :counter="100"
                          label="Volume ejaculat (VN:) :"
                          required
                        ></v-text-field>
                      </v-col>
                      <v-col
                        class="d-flex"
                        cols="3"
                        md="2"
                      >
                        <v-select
                          v-model="volume_ejaculat_unit"
                          :items="items"
                          filled
                          label="Unité volume ejaculat"
                        ></v-select>
                      </v-col>
                    </v-row>

                    <v-row>
                      <v-col
                        cols="12"
                        md="2"
                      >
                        <v-text-field
                          v-model="cellules_rondes"
                          :rules="nameRules"
                          :counter="100"
                          label="Cellules rondes:"
                          required
                        ></v-text-field>
                      </v-col>
                      <v-col
                        class="d-flex"
                        cols="3"
                        md="2"
                      >
                        <v-select
                          v-model="cellules_rondes_unite"
                          :items="items"
                          filled
                          label="Unité cellule ronde"
                        ></v-select>
                      </v-col>

                      <v-col
                        cols="12"
                        md="2"
                      >
                        <v-text-field
                          v-model="numeration"
                          :rules="nameRules"
                          :counter="100"
                          label="Numeration (VN:20-200 millions/ml) /ejaculat:"
                          required
                        ></v-text-field>
                      </v-col>
                      <v-col
                        class="d-flex"
                        cols="3"
                        md="2"
                      >
                        <v-select
                          v-model="numeration_unite"
                          :items="items"
                          filled
                          label="Unité numération"
                        ></v-select>
                      </v-col>

                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="valide"
                          :rules="emailRules"
                          :counter="100"
                          label="Validité :"
                          required
                        ></v-text-field>
                      </v-col>
                    </v-row>

                      <v-row>
                          <div class="ml-10">SPERMOCYTOGRAMME</div>
                      </v-row>

                     <v-row>
                      <v-col
                        cols="12"
                        md="3"
                      >
                        <v-text-field
                          v-model="spermocytogramme_nb_spermatozoide_normaux"
                          :rules="nameRules"
                          :counter="100"
                          label="Nombre de spermatozoide normaux:"
                          required
                        ></v-text-field>
                      </v-col>
                       <v-col
                        class="d-flex"
                        cols="1"
                        md="2"
                      >
                        <v-select
                          v-model="spermocytogramme_nb_spermatozoide_normaux"
                          :items="items"
                          filled
                          label="Unité Spermocytogramme"
                        ></v-select>
                      </v-col>

                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="spermocytogramme_anomalie_tete"
                          :rules="nameRules"
                          :counter="100"
                          label="Spermocytogramme anomalie tete:"
                          required
                        ></v-text-field>
                      </v-col>

                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="spermocytogramme_macrocephalie"
                          :rules="emailRules"
                          :counter="100"
                          label="Spermocytogramme macrocéphalie :"
                          required
                        ></v-text-field>
                      </v-col>
                    </v-row>


                    <v-row>
                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="spermocytogramme_effilee"
                          :rules="nameRules"
                          :counter="100"
                          label="Spermocytogramme éffillée"
                          required
                        ></v-text-field>
                      </v-col>
                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="spermocytogramme_ronde"
                          :rules="nameRules"
                          :counter="100"
                          label="Spermocytogramme ronde:"
                          required
                        ></v-text-field>
                      </v-col>

                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="spermocytogramme_piece_intermediaire"
                          :rules="emailRules"
                          :counter="100"
                          label="Spermocytogramme pièce intermédiaire:"
                          required
                        ></v-text-field>
                      </v-col>
                    </v-row>



                    <v-row>
                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="spermocytogramme_reste_cytoplasme"
                          :rules="nameRules"
                          :counter="100"
                          label="Spermocytogramme reste Cytoplasme"
                          required
                        ></v-text-field>
                      </v-col>
                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="spermocytogramme_grele"
                          :rules="nameRules"
                          :counter="100"
                          label="Spermocytogramme grele:"
                          required
                        ></v-text-field>
                      </v-col>

                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="spermocytogramme_flagelle"
                          :rules="emailRules"
                          :counter="100"
                          label="Spermocytogramme flagellé:"
                          required
                        ></v-text-field>
                      </v-col>
                    </v-row>


                     <v-row>
                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="spermocytogramme_absent"
                          :rules="nameRules"
                          :counter="100"
                          label="Spermocytogramme absent"
                          required
                        ></v-text-field>
                      </v-col>
                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="spermocytogramme_ecourte"
                          :rules="nameRules"
                          :counter="100"
                          label="Spermocytogramme écourté:"
                          required
                        ></v-text-field>
                      </v-col>

                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="spermocytogramme_enroule"
                          :rules="emailRules"
                          :counter="100"
                          label="Spermocytogramme enroule:"
                          required
                        ></v-text-field>
                      </v-col>
                    </v-row>


                     <v-row>
                      <v-col
                        cols="12"
                        md="6"
                      >
                        <v-text-field
                          v-model="spermocytogramme_angulaire"
                          :rules="nameRules"
                          :counter="100"
                          label="Spermocytogramme angulaire"
                          required
                        ></v-text-field>
                      </v-col>
                      <v-col
                        cols="12"
                        md="6"
                      >
                        <v-text-field
                          v-model="spermocytogramme_microcephalie"
                          :rules="nameRules"
                          :counter="100"
                          label="Spermocytogramme écourté:"
                          required
                        ></v-text-field>
                      </v-col>

                    </v-row>

                    <v-row>
                      <v-col
                        cols="12"
                        md="6"
                      >
                        <v-text-field
                          v-model="biologiste"
                          :rules="nameRules"
                          :counter="100"
                          label="Biologiste"
                          required
                        ></v-text-field>
                      </v-col>
                      <v-col
                        cols="12"
                        md="6"
                      >
                        <v-text-field
                          v-model="conclusion"
                          :rules="nameRules"
                          :counter="100"
                          label="Conclusion:"
                          required
                        ></v-text-field>
                      </v-col>

                      <v-col
                        cols="12"
                        md="4"
                      >
                        <v-text-field
                          v-model="spermocytogramme_enroule"
                          :rules="emailRules"
                          :counter="100"
                          label="Spermocytogramme enroule:"
                          required
                        ></v-text-field>
                      </v-col>
                    </v-row>

                  </v-container>
                </v-form>


            </v-card-text>

            <div style="flex: 1 1 auto;"></div>
          </v-card>
        </v-dialog>

      </v-row>
    </div>
  </v-app>
</div>
</template>

<script>
  export default {

 data () {
    return {
      dialog: false,
      dialog2: false,
      dialog3: false,
      notifications: false,
      sound: true,
      widgets: false,
      items: ['mol', 'l', 'ml', 'dmol'],

    }
  },
}
</script>
